Subject: 答复: [Sipping] Reason header in Responses

From: "Gerald Yan" <[email-masked]>
Date: Wed, 19 Oct 2005 15:09:31 +0800

Hi all:
I think Q.850 code filled in reason header is very useful especially for 
Interworking with PSTN network. When PSTN users travel a sip network, in some case, sip messages 3/4/5xx without encapsulated ISUP body can not map to ISUP release codes exactly. So using reason header in response can well resolve this problem.

Best Regards,
Gerald.yan

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 Dean Willis
发送时间: 2005年10月19日 4:10
收件人: Jesske, R
抄送: [email-masked]; [email-masked]
主题: Re: [Sipping] Reason header in Responses

On Oct 18, 2005, at 4:24 AM, Jesske, R wrote:

> Dear all,
> Still the use of the Reason header confuses me.
> With regard to the discussion of the retargeting draft the  
> inclusion of a 486 in a 302 is discussed as possible.
> But on the other side the inclusion of a Q.850 reason header in a  
> response is not allowed.
> Could I have some Guidance How I have to understand the following  
> phrase written in RFC 3326 Reason Header:
>
>    Initially, the Reason header field defined here appears to be most
>    useful for BYE and CANCEL requests, but it can appear in any  
> request
>    within a dialog, in any CANCEL request and in any response whose
>    status code explicitly allows the presence of this header field.
>
>    Note that the Reason header field is usually not needed in  
> responses
>    because the status code and the reason phrase already provide
>    sufficient information.
>
> Does this mean that if I specify the use of SIP Reason in a  
> response (e.G in a IETF RFC, ITU-T or ETSI Specification) it is  
> allowed to use this now or do I need a special IETF draft to allow  
> the use of Q.850 Reasons in responses?

I'm sorry, Roland, but use of Q.850 codes in SIP responses would be  
"unreasonable" ;-), at least without an RFC that revises the response  
code to allow it to carry a Reason header. John submitted a draft  
that proposed extending 302 to carry a Reason header, and we haven't  
resolved on that approach. Even with such a draft, we'd also I  
believe need additional RFCs defining use of Q.850 codes in Reason  
headers, along with appropriate IANA actions.

--
Dean

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP